<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Hausmeister\KursUebersicht\KursUebersicht;

class KursUebersichtPresenter extends \Kufer\KuferTools\Basis\KursUebersicht\KursUebersichtPresenter
{
  protected function getPanelTitleLink($datamodul)
  {
    return 'index.php?tool_id=5&action=kursdetails&knr=' . $datamodul->id . '&rnr=' . $datamodul->kursort->id . '&referer=' . urlencode($this->getAktuelleURLRelative()) . '&refererLabel=' . urlencode(\StringOperations::htmlentities('Zurück zur Kursübersicht'));
  }

  protected function getDatamodulFuerUeberschriftszeile()
  {
    $kurs = parent::getDatamodulFuerUeberschriftszeile();
    $kurs->kursort = new \Kursort(); 

    return $kurs;
  }

  private function getAktuelleURLRelative()
  {
    $url = \URL::loadCurrent();

    return $url->getUrlRelative();
  }

  protected function getJsFilesSrcAryWeitere()
  {
    $js = parent::getJsFilesSrcAryWeitere();
    $js[] = $this->getJsFileFromOldTools('pdfdruck.js');
    $js[] = $this->getJsFileFromSys('pdfdruck.js');

    return $js;
  }
}